QGIS Application - Feature request #2638
Duplicate existing item in composer manager
2010-04-08 10:42 AM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12698
Description

It would be quite useful to add a "Duplicate" button to the composer manager. This would simply make a copy of an existing composer
item, possibly naming item 'xxx" as "xxx copy'. This would be useful for making edits or changes based off of a current composer item
without having to go through the process of creating a template, opening the template, etc.

History

#1 - 2011-03-05 11:06 AM - John Tull

Marco: Is the dropdown menu in the Composer Manager a placeholder for this option? Again, this would be a useful addition.

#2 - 2011-12-16 01:56 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-03-16 01:31 PM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Status changed from Open to Closed

- Resolution set to fixed

objects in composer can now be copied and pasted with crtl-c and crtl-v
